import uuid
from sqlalchemy import Uuid, Column, Enum, ForeignKey, Integer

from app.schemas.connector import ConnectorStatus
from app.database import Base

class Connector(Base):
    __tablename__ = "connectors"

    id = Column(Uuid, primary_key=True, default=uuid.uuid4)
    evse = Column(Integer)
    index = Column(Integer)
    status = Column(Enum(ConnectorStatus))

    chargepoint_id = Column(Uuid, ForeignKey("chargepoints.id"))
