from datetime import datetime
from uuid import UUID
from pydantic import BaseModel


class Session(BaseModel):
    id: UUID
    name: str
    last_used: datetime

    model_config = {"from_attributes": True}